Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jreqtools
Class FileRequester2

    java.lang.Object
      |
      +--jreqtools.AbstractRequester
            |
            +--jreqtools.FileRequester2

public class FileRequester2
extends AbstractRequester

This is a requester for files or directories.

Author:
  Markus Hillenbrand

Fields inherited from class jreqtools.AbstractRequester
`CANCEL, listener, OK`

Constructor Summary
`FileRequester2()`
`FileRequester2(java.lang.String title)`
`FileRequester2(java.lang.String title, java.io.File directory, java.lang.String filename)` Constructs a new StringRequester.

Method Summary
`void` | `addChoosableFileFilter(FileFilter f)`
`void` | `addChoosableFileFilter(FileFilter f, boolean makeDefault)`
`protected javax.swing.JDialog` | `createJDialog(javax.swing.JFrame parent)`
`java.io.File` | `getFile()`
`java.io.File[]` | `getFiles()`
`protected int` | `getReturnValue()`
`void` | `setDirectoriesOnly(boolean bool)`
`void` | `setFile(java.io.File f)`
`void` | `setFile(java.io.File dir, java.lang.String fname)`
`void` | `setFile(java.lang.String filename)`
`void` | `setLoadMode()`
`void` | `setMultiSelection(boolean b)`
`void` | `setSaveMode()`

Methods inherited from class jreqtools.AbstractRequester
`addHelpButton, addHelpButton, getLocation, getSize, request, request, setLocation, setLocation, setParentComponent, setSize, setSize, setTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileRequester2

    public FileRequester2()

### FileRequester2

    public FileRequester2(java.lang.String title)

### FileRequester2

    public FileRequester2(java.lang.String title,
                          java.io.File directory,
                          java.lang.String filename)

  Constructs a new StringRequester.
  Parameters:
    `title` - - Title of the requester.
    `message` - - The message to be shown in the requester.
    `defaultstring` - - The initial value of the text field.

Method Detail

### addChoosableFileFilter

    public void addChoosableFileFilter(FileFilter f)

### addChoosableFileFilter

    public void addChoosableFileFilter(FileFilter f,
                                       boolean makeDefault)

### createJDialog

    protected javax.swing.JDialog createJDialog(javax.swing.JFrame parent)

  Overrides:
    `createJDialog` in class `AbstractRequester`

### getFile

    public java.io.File getFile()

### getFiles

    public java.io.File[] getFiles()

### getReturnValue

    protected int getReturnValue()

  Overrides:
    `getReturnValue` in class `AbstractRequester`

### setDirectoriesOnly

    public void setDirectoriesOnly(boolean bool)

### setFile

    public void setFile(java.lang.String filename)

### setFile

    public void setFile(java.io.File f)

### setFile

    public void setFile(java.io.File dir,
                        java.lang.String fname)

### setLoadMode

    public void setLoadMode()

### setMultiSelection

    public void setMultiSelection(boolean b)

### setSaveMode

    public void setSaveMode()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD